using Godot;
using System.Reflection;
using System.Collections.Generic;

namespace Rokojori
{ 
  [Tool]
  [GlobalClass]
  public partial class Vector4PropertyName : ShaderPropertyName
  {   
    public void Set( Material material, Vector4 value )
    {
      _Set( material, value );
    }

    public Vector4 Get( Material material )
    {
      return _Get( material, Vector4.Zero );
    }

    public static Vector4PropertyName Create( string name )
    {
      var p = new Vector4PropertyName();
      p.propertyName = name; 
      return p;
    }
  }

}