using Godot;
using System.Collections;
using System.Collections.Generic;
using System.Text.RegularExpressions;

namespace Rokojori
{  
  [Tool]
  [GlobalClass]
  public partial class WorldMapDefinition:Resource
  {
    [Export]
    public string worldMapPath;

    [Export]
    public float regionSize = 250;

    [Export]
    public WorldMapLayerDefinition[] layers = new WorldMapLayerDefinition[ 0 ]; 
    
  }
}